| GL Studio C++ Runtime API

Public Attributes | List of all members
GlsGloFile::GlsGeometryResourceMeshIndexBufEffect Struct Reference

`#include <gls_glo_file.h>`

## Public Attributes
unsigned int | materialIndex
| Material index to be used.
unsigned int | diffuseTextureIndex
| Texture index for diffuse color.
unsigned int | normalTextureIndex
| Texture index for normal map.
unsigned int | specularTextureIndex
| Texture index for specular map.
unsigned int | reflectionTextureIndex
| Texture index for reflection map.
float | diffuseAmount
| Intensity of diffuse color from 0.0 to 1.0.
float | normalAmount
| Intensity of normal map from 0.0 to 1.0.
float | specularAmount
| Intensity of specular map from 0.0 to 1.0.
float | reflectionAmount
| Intensity of reflection map from 0.0 to 1.0.
bool | useVertexColors
| If true, will use vertex colors rather than material color.
bool | normalMapFlipGreen
| If true will flip the green channel for normals (DirectX versus OpenGL style normals).
unsigned short | padding
| Padding.
float | diffuse_uOffset
| Diffuse texture U coordinate offset.
float | diffuse_vOffset
| Diffuse texture V coordinate offset.
float | diffuse_uTiling
| Diffuse texture U coordinate scale.
float | diffuse_vTiling
| Diffuse texture V coordinate offset.
float | diffuse_angle
| Diffuse texture rotation angle in degrees.
float | normal_uOffset
| Normal texture U coordinate offset.
float | normal_vOffset
| Normal texture V coordinate offset.
float | normal_uTiling
| Normal texture U coordinate scale.
float | normal_vTiling
| Normal texture V coordinate offset.
float | normal_angle
| Normal texture rotation angle in degrees.
float | specular_uOffset
| Specular texture U coordinate offset.
float | specular_vOffset
| Specular texture V coordinate offset.
float | specular_uTiling
| Specular texture U coordinate scale.
float | specular_vTiling
| Specular texture V coordinate offset.
float | specular_angle
| Specular texture rotation angle in degrees.

## Detailed Description

The GlsGeometryResourceMeshIndexBufEffect struct. Contains material information for mesh objects.

The documentation for this struct was generated from the following file:

- gls_glo_file.h